package net.t2code.t2codelib.VELOCITY.api.messages;

import com.velocitypowered.api.command.CommandSource;
import com.velocitypowered.api.plugin.PluginContainer;
import com.velocitypowered.api.proxy.Player;
import com.velocitypowered.api.proxy.ProxyServer;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.title.Title;
import net.t2code.t2codelib.VELOCITY.system.T2CodeVMain;
import org.slf4j.Logger;

import java.util.Optional;


public class T2CVsend {
    public static ProxyServer server = T2CodeVMain.server;
    public static Logger logger = T2CodeVMain.logger;

    public static void console(String msg) {
       logger.info(msg);
    }

    public static void player(Player player, String msg) {
        player.sendMessage(Component.text(msg));
    }

    public static void title(Player player, Title msg) {
        player.showTitle(msg);
    }

    public static void sender(CommandSource sender, String msg) {
      sender.sendMessage(Component.text( msg));
    }

    public static void debug(Optional<PluginContainer> plugin, String msg) {
        debug(plugin, msg, null);
    }

    public static void debug(Optional<PluginContainer> plugin, String msg, Integer stage) {
        //  if (!new File(Main.getPath(), "config.yml").exists()) return;
        // if (stage == null) {
        //     if (plugin.getConfig().getBoolean("Plugin.Debug")) {
        //        ProxyServer.getInstance().getConsole().sendMessage(plugin.getDescription().getName() + " §5DEBUG: §6" + msg);
        //    }
        //    return;
        //}
        //if (plugin.getConfig().getInt("Plugin.Debug") >= stage) {
        //    ProxyServer.getInstance().getConsole().sendMessage(plugin.getDescription().getName() + " §5DEBUG: §6" + msg);
        //}
    }

    public static void debugmsg(PluginContainer plugin, String msg) {
        logger.info("{} §5DEBUG-MSG: §6{}", plugin.getDescription().getName(), msg);
    }

    public static void info(PluginContainer plugin, String msg) {
        logger.info("{} {}", plugin.getDescription().getName(), msg);
    }

    public static void warning(PluginContainer plugin, String msg) {
        logger.warn("{} {}", plugin.getDescription().getName(), msg);
    }

    public static void error(PluginContainer plugin, String msg) {
        logger.error("{} {}", plugin.getDescription().getName(), msg);
    }
}
