package net.t2code.t2codelib.VELOCITY.api.pluginMessaging.opSecurity;


import com.velocitypowered.api.event.Subscribe;
import com.velocitypowered.api.event.connection.PluginMessageEvent;
import com.velocitypowered.api.proxy.ProxyServer;
import com.velocitypowered.api.proxy.server.RegisteredServer;
import net.t2code.t2codelib.VELOCITY.system.T2CodeVMain;

import java.io.*;
import java.util.logging.Logger;

public class T2CapiOpSecurity {
    public static ProxyServer server = T2CodeVMain.server;

    @Subscribe
    public void onPluginmessage(PluginMessageEvent event) {
        if (event.getIdentifier() != T2CodeVMain.opsec) {
            return;
        }

            DataInputStream stream = new DataInputStream(new ByteArrayInputStream(event.getData()));
            try {
                String channel = stream.readUTF();
                String mode = stream.readUTF();
                String information = stream.readUTF();
                if (channel.equals("T2Cconsole")) {
                    sendToSpigotPlayer(channel,mode,information);
                }
            } catch (IOException e) {
                e.printStackTrace();
            }

    }

    private static void sendToSpigotPlayer(String channel,String mode,String information) {
        ByteArrayOutputStream stream = new ByteArrayOutputStream();
        DataOutputStream output = new DataOutputStream(stream);
        try {
            output.writeUTF(channel);
            output.writeUTF(mode);
            output.writeUTF(information);
        } catch (IOException e) {
            Logger.getLogger(e.getMessage());
        }
        for (RegisteredServer server : server.getAllServers()) {
            server.sendPluginMessage(T2CodeVMain.opsec, stream.toByteArray());
        }
    }
}
